
#ifdef	STD_INCLUDE_DECL

#define FONT_START_CHAR			'!'
#define FONT_END_CHAR			'~'
#define FONT_CHAR_COUNT		( '~' - '!' + 1 )

struct FONT_CHAR {
	vec2 dim;
	vec2 offset;
	vec2 texCoord_min;
	vec2 texCoord_max;
	flo32 advanceWidth;
};

struct FONT {
	int32 advanceWidth_space;
	flo32 ascent;
	flo32 descent;
	flo32 lineGap;
	flo32 advanceHeight;
	FONT_CHAR alphabet[ FONT_CHAR_COUNT ];
	int32 kernValue[ FONT_CHAR_COUNT * FONT_CHAR_COUNT ];
};

struct MONOSPACE_FONT_CHAR {
	vec2 dim;
	vec2 offset;
	vec2 texCoord_min;
	vec2 texCoord_max;
};

struct MONOSPACE_FONT {
	flo32 advanceWidth;
	flo32 advanceHeight;
	flo32 ascent;
	flo32 descent;
	flo32 lineGap;
	MONOSPACE_FONT_CHAR alphabet[ FONT_CHAR_COUNT ];
};

enum TEXT_ALIGNMENT {
	ALIGN_DEFAULT,
	
	ALIGN_BOTTOMLEFT,
	ALIGN_BOTTOMCENTER,
	ALIGN_BOTTOMRIGHT,
	
	ALIGN_CENTERLEFT,
	ALIGN_CENTER,
	ALIGN_CENTERRIGHT,
	
	ALIGN_TOPLEFT,
	ALIGN_TOPCENTER,
	ALIGN_TOPRIGHT,
	
	ALIGN_BASELEFT,
	ALIGN_BASECENTER,
	ALIGN_BASERIGHT,
};

#endif	// STD_INCLUDE_DECL
#ifdef	STD_INCLUDE_FUNC

#endif	// STD_INCLUDE_FUNC