
#ifdef	STD_INCLUDE_DECL

//----------
// vertex declarations
//----------

struct VERTEX_TEXMESH_3D {
	vec3 position;
	vec2 texCoord;
};

#endif	// STD_INCLUDE_DECL
#ifdef	STD_INCLUDE_FUNC

//----------
// vertex functions
//----------

internal VERTEX_TEXMESH_3D
VertexTexMesh3D( flo32 x, flo32 y, flo32 z, flo32 u, flo32 v ) {
	VERTEX_TEXMESH_3D result = {};
	result.position.x = x;
	result.position.y = y;
	result.position.z = z;
	result.texCoord.x = u;
	result.texCoord.y = v;
	return result;
}

internal VERTEX_TEXMESH_3D
VertexTexMesh3D( vec3 a, flo32 u, flo32 v ) {
	VERTEX_TEXMESH_3D result = VertexTexMesh3D( a.x, a.y, a.z, u, v );
	return result;
}

internal VERTEX_TEXMESH_3D
VertexTexMesh3D( vec3 xyz, vec2 uv ) {
	VERTEX_TEXMESH_3D result = VertexTexMesh3D( xyz.x, xyz.y, xyz.z, uv.x, uv.y );
	return result;
}

internal VERTEX_TEXMESH_3D
VertexTexMesh3D( flo32 x, flo32 y, flo32 z, vec2 uv ) {
	VERTEX_TEXMESH_3D result = VertexTexMesh3D( x, y, z, uv.x, uv.y );
	return result;
}

#endif	// STD_INCLUDE_FUNC